Etf Profile
curl --request GET \
--url https://api.chicago.global/v1/etf/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chicago.global/v1/etf/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chicago.global/v1/etf/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chicago.global/v1/etf/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chicago.global/v1/etf/profile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chicago.global/v1/etf/profile")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chicago.global/v1/etf/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ETF
ETF Profile
Get ETF profile with metadata and optional scores.
GET
/
v1
/
etf
/
profile
Etf Profile
curl --request GET \
--url https://api.chicago.global/v1/etf/profile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chicago.global/v1/etf/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chicago.global/v1/etf/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chicago.global/v1/etf/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chicago.global/v1/etf/profile"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chicago.global/v1/etf/profile")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chicago.global/v1/etf/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get a comprehensive profile for an ETF including metadata, latest price, market cap, and Parallax factor scores.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
symbol | string | Yes | ETF symbol (e.g., SPY, QQQ, ACWI). Comma-separated for multiple. |
Response
{
"symbol": "SPY.P",
"name": "STATE STREET SPDR S&P 500 ETF TRUST",
"activity": "ACTIVE",
"market": "UNITED STATES",
"exchange": "NYSE ARCA",
"exchangecode": "ARC",
"currency": "USD",
"close": 650.34,
"change_percent": 2.91,
"change": 18.37,
"volume": 152534130,
"mktcap": 650068323282,
"num_shares": 999582116,
"value": 4.0,
"quality": 8.0,
"momentum": 6.0,
"defensive": 8.0,
"tactical": 6.0,
"total": 5.9,
"recommendation": "HOLD",
"holdings_covered": 495,
"weight_covered": 98.37
}
Key Fields
| Field | Description |
|---|---|
symbol | Resolved primary RIC |
name | ETF name |
close | Latest closing price |
change_percent | Daily price change (%) |
mktcap | Total market capitalization |
value / quality / momentum / defensive / tactical | Parallax factor scores (0-10) |
total | Composite Parallax score |
recommendation | STRONG BUY, BUY, HOLD, SELL, STRONG SELL |
holdings_covered | Number of holdings with Parallax scores |
weight_covered | % of ETF weight covered by scored holdings |
Example
curl "https://api.chicago.global/v1/etf/profile?symbol=SPY" \
-H "Authorization: Bearer YOUR_API_KEY"
Last modified on April 1, 2026
⌘I